function onPageLoaded() {
    IDAL.getControlInterfaces()
        .then(onControlInterfaceAvailable);
}

function onControlInterfaceAvailable(iface) {
    console.log("Control interface available");

    var config = {
        controller: "browser",
        lifetime: "url"
    };

    iface.contact.setInputConfiguration(config)
        .then(function(e) {
            console.log("Contact.setInputConfiguration(" + JSON.stringify(config) + ") => " + JSON.stringify(e));
        })
        .catch(function(e) {
            console.error("Error: Contact.setInputConfiguration(" + JSON.stringify(config) + ") => " + JSON.stringify(e));
        });
    
    var capt_6;
    var capt_7;
    iface.contact.getInputByName("combined").then(function(state){ 
        capt_6 = state.values[6];
        capt_7 = state.values[7];
        if (capt_6 || capt_7) {
            iface.player.playFolder(2);
        } else {
            iface.player.playFolder(1);
        }
    });

    window.addEventListener('idal-contact-event', function(e) {
        var detail = e.detail;
        console.log("entering function");

        switch (detail.name) {
            case "combined":

                var state_changed = false;
                for (var j = 0 ; j < 2 ; j++){
                    if (detail.values[6+j]) {
                        for (var i = 0 ; i < 6 ; i++) {
                            if (detail.values[i]) {
                                iface.player.playFolder(11+i+j*10);
                                state_changed = true;
                                break;
                            }
                        }
                    }
                }

                if (!state_changed) {
                    console.log("state didn't change");
                    if ((detail.values[6] != capt_6 || detail.values[7] != capt_7)) {
                        if (detail.values[6] || detail.values[7]) {
                            iface.player.playFolder(2);
                            console.log("folder 2");
                        } else {
                            iface.player.playFolder(1);
                            console.log("folder 1");
                        }
                    }
                }

                capt_6 = detail.values[6];
                capt_7 = detail.values[7];

                break;

            case "standalone":
                break;
        }
    });


}

window.addEventListener("load", onPageLoaded);
